 /********************************************************************/
 /*                                                                  */
 /*                  WebSphere MQ for Windows                        */
 /*                                                                  */
 /*  FILE NAME:      CMQEPP                                          */
 /*                                                                  */
 /*  DESCRIPTION:    Entry-Point Declarations for Main MQI           */
 /*                                                                  */
 /********************************************************************/
 /*  @START_COPYRIGHT@                                               */
 /*  Licensed Materials - Property of IBM                            */
 /*                                                                  */
 /*  5724-B41                                                        */
 /*                                                                  */
 /*  (C) Copyright IBM Corporation 1993, 2002.                       */
 /*                                                                  */
 /*  Status: Version 5 Release 3                                     */
 /*  @END_COPYRIGHT@                                                 */
 /********************************************************************/
 /*                                                                  */
 /*  FUNCTION:       This file declares the entry points for         */
 /*                  the main MQI.                                   */
 /*                                                                  */
 /*  PROCESSOR:      PL/I                                            */
 /*                                                                  */
 /********************************************************************/
                                                                       
 /********************************************************************/
 /*  MQBACK Call -- Back Out Changes                                 */
 /********************************************************************/
                                                                       
 dcl MQBACK entry(
       fixed bin(31) byvalue,  /* Connection handle */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQBEGIN Call -- Begin Unit of Work                              */
 /********************************************************************/
                                                                       
 dcl MQBEGIN entry(
       fixed bin(31) byvalue,  /* Connection handle */
       * conn byaddr,          /* Options that control the action of
                                  MQBEGIN */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCLOSE Call -- Close Object                                    */
 /********************************************************************/
                                                                       
 dcl MQCLOSE entry(
       fixed bin(31) byvalue,  /* Connection handle */
       fixed bin(31) byaddr,   /* Object handle */
       fixed bin(31) byvalue,  /* Options that control the action of
                                  MQCLOSE */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCMIT Call -- Commit Changes                                   */
 /********************************************************************/
                                                                       
 dcl MQCMIT entry(
       fixed bin(31) byvalue,  /* Connection handle */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCONN Call -- Connect Queue Manager                            */
 /********************************************************************/
                                                                       
 dcl MQCONN entry(
       char(48) byaddr,       /* Name of queue manager */
       fixed bin(31) byaddr,  /* Connection handle */
       fixed bin(31) byaddr,  /* Completion code */
       fixed bin(31) byaddr   /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQCONNX Call -- Connect Queue Manager (Extended)                */
 /********************************************************************/
                                                                       
 dcl MQCONNX entry(
       char(48) byaddr,       /* Name of queue manager */
       * conn byaddr,         /* Options that control the action of
                                 MQCONNX */
       fixed bin(31) byaddr,  /* Connection handle */
       fixed bin(31) byaddr,  /* Completion code */
       fixed bin(31) byaddr   /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQDISC Call -- Disconnect Queue Manager                         */
 /********************************************************************/
                                                                       
 dcl MQDISC entry(
       fixed bin(31) byaddr,  /* Connection handle */
       fixed bin(31) byaddr,  /* Completion code */
       fixed bin(31) byaddr   /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQGET Call -- Get Message                                       */
 /********************************************************************/
                                                                       
 dcl MQGET entry(
       fixed bin(31) byvalue,  /* Connection handle */
       fixed bin(31) byvalue,  /* Object handle */
       * conn byaddr,          /* Message descriptor */
       * conn byaddr,          /* Options that control the action of
                                  MQGET */
       fixed bin(31) byvalue,  /* Length in bytes of the Buffer area */
       * conn byaddr,          /* Area to contain the message data */
       fixed bin(31) byaddr,   /* Length of the message */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQINQ Call -- Inquire Object Attributes                         */
 /********************************************************************/
                                                                       
 dcl MQINQ entry(
       fixed bin(31) byvalue,          /* Connection handle */
       fixed bin(31) byvalue,          /* Object handle */
       fixed bin(31) byvalue,          /* Count of selectors */
       (*) fixed bin(31) conn byaddr,  /* Array of attribute
                                          selectors */
       fixed bin(31) byvalue,          /* Count of integer
                                          attributes */
       (*) fixed bin(31) conn byaddr,  /* Array of integer
                                          attributes */
       fixed bin(31) byvalue,          /* Length of character
                                          attributes buffer */
       char(*) conn byaddr,            /* Character attributes */
       fixed bin(31) byaddr,           /* Completion code */
       fixed bin(31) byaddr            /* Reason code qualifying
                                          CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQOPEN Call -- Open Object                                      */
 /********************************************************************/
                                                                       
 dcl MQOPEN entry(
       fixed bin(31) byvalue,  /* Connection handle */
       * conn byaddr,          /* Object descriptor */
       fixed bin(31) byvalue,  /* Options that control the action of
                                  MQOPEN */
       fixed bin(31) byaddr,   /* Object handle */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQPUT Call -- Put Message                                       */
 /********************************************************************/
                                                                       
 dcl MQPUT entry(
       fixed bin(31) byvalue,  /* Connection handle */
       fixed bin(31) byvalue,  /* Object handle */
       * conn byaddr,          /* Message descriptor */
       * conn byaddr,          /* Options that control the action of
                                  MQPUT */
       fixed bin(31) byvalue,  /* Length of the message in Buffer */
       * conn byaddr,          /* Message data */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQPUT1 Call -- Put One Message                                  */
 /********************************************************************/
                                                                       
 dcl MQPUT1 entry(
       fixed bin(31) byvalue,  /* Connection handle */
       * conn byaddr,          /* Object descriptor */
       * conn byaddr,          /* Message descriptor */
       * conn byaddr,          /* Options that control the action of
                                  MQPUT1 */
       fixed bin(31) byvalue,  /* Length of the message in Buffer */
       * conn byaddr,          /* Message data */
       fixed bin(31) byaddr,   /* Completion code */
       fixed bin(31) byaddr    /* Reason code qualifying CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  MQSET Call -- Set Object Attributes                             */
 /********************************************************************/
                                                                       
 dcl MQSET entry(
       fixed bin(31) byvalue,          /* Connection handle */
       fixed bin(31) byvalue,          /* Object handle */
       fixed bin(31) byvalue,          /* Count of selectors */
       (*) fixed bin(31) conn byaddr,  /* Array of attribute
                                          selectors */
       fixed bin(31) byvalue,          /* Count of integer
                                          attributes */
       (*) fixed bin(31) conn byaddr,  /* Array of integer
                                          attributes */
       fixed bin(31) byvalue,          /* Length of character
                                          attributes buffer */
       char(*) conn byaddr,            /* Character attributes */
       fixed bin(31) byaddr,           /* Completion code */
       fixed bin(31) byaddr            /* Reason code qualifying
                                          CompCode */
 ) external options(linkage(cdecl));
                                                                       
                                                                       
 /********************************************************************/
 /*  End of CMQEPP                                                   */
 /********************************************************************/
